View Issue Details

IDProjectCategoryView StatusLast Update
0000063QElectroTechwebsitepublic2021-02-15 00:53
Reporterjonasstein Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSVN/trunk 
Fixed in VersionSVN/trunk 
Summary0000063: use enum QKeySequence::StandardKey instead of manual hotkey strings like "Ctrl+Q"
Descriptionhttps://qt-project.org/doc/qt-4.8/qkeysequence.html#StandardKey-enum Qt will manage translation and platform independend unique support for the hotkeys.
Additional InformationExample qetdiagrameditor.cpp: quit_editor -> setShortcut(QKeySequence(tr("Ctrl+Q")));
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2013-06-09 19:03 jonasstein New Issue
2015-03-20 08:57 scorpio810 Status new => resolved
2015-03-20 08:57 scorpio810 Resolution open => fixed
2015-03-20 08:57 scorpio810 Description Updated View Revisions
2015-03-20 08:57 scorpio810 Additional Information Updated View Revisions
2021-02-15 00:46 user245 Fixed in Version => SVN/trunk
2021-02-15 00:46 user245 Product Version => SVN/trunk
2021-02-15 00:53 user245 Category translation => website